
Redmine - Defect #31420

issues-table; closed_on - column should be updated to NULL whenever issue's status is changed to

a 'is_closed == 0' status

2019-05-22 08:14 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.1

Description

The column "closed_on" was filled in issues table for some issues that were not closed.

It seems as if the column gets filled with the current timestamp if the issue's status is changed to a status that is marked as

"is_closes"  1 in status table.

Thats OK.

But if issues get changed back to a status that is not closed ("is_closed"  0) the issue column "closed_on" still is filled with the

timestamp the status changed to a "is_closed"  1 status

Requested behaviour: If a issue gets a status that is "is_closed"  0 an issue has "closed_on" != NULL the "closed_on" column should

be set to NULL.

Related issues:

Related to Redmine - Feature #824: Add "closed_on" issue field (storing time ... Closed 2008-03-10

History

#1 - 2019-05-22 09:06 - Go MAEDA

- Related to Feature #824: Add "closed_on" issue field (storing time of last closing) & add it as a column and filter on the issue list. added

#2 - 2019-05-22 09:09 - Go MAEDA

I think the behavior is intended design. The field keeps the "last" closed time. Please see #824 and the comment in r11402.

Could you describe the detail why you want Redmine to clear the closed_on field? You can exclude reopened issues by using issues filter.

#3 - 2019-05-22 12:51 - Anonymous

Go MAEDA wrote:

I think the behavior is intended design. The field keeps the "last" closed time. Please see #824 and the comment in r11402.

Could you describe the detail why you want Redmine to clear the closed_on field? You can exclude reopened issues by using issues filter.

 Thank you for your answer. I did not know that this is a wanted behaviour for this field. The name intents to interpret this as "THE closing date" and

not "LAST closing date".

I have some separate reports that are realized via sql / access to redmine database and I used "closed_on" to identify the state "closed" or "open".

Now I use the 'is_closed'-attribute from the status sql table for my extractions. So I do not really need a changed behaviour. But I thought if the

behaviour is wrong it should be corrected in the redmine sources. If my intention for "closed_on" was wrong please reject this issue.

#4 - 2019-05-22 14:21 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Thank you for clarifying and understanding. I am closing this issue.

Please don't hesitate to report a bug if you think a behavior weird.
